import request from '/@/utils/request';
//获取数据接收列表
export const pageList = (data) => {
	return request({
		url: 'marketing/tcp/device/page',
		method: 'post',
    data: data,
	});
};

//根据id查询数据列表分页
export const getDataPage = (data) => {
	return request({
		url: 'marketing/tcp/msg/page',
		method: 'post',
    data: data,
	});
};
//统计累计用户数和活跃用户数
export const getUserNum = () => {
	return request({
		url: 'marketing/tcp/statistics/users',
		method: 'get',
	});
};
//查询最近10分钟内有活动的用户列表，仪表盘用
export const getOnlineUsers = () => {
	return request({
		url: 'marketing/tcp/online/users',
		method: 'get',
	});
};

